<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

class CheckUserType
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response) $next
     */
    public function handle(Request $request, Closure $next)
    {
        if (auth()->user()) {
            $currentRoute = Route::currentRouteName();
            $userType = auth()->user()->userType->type_user;

            if ($userType == 'Super_Administrador' && $currentRoute != 'home') {
                return redirect()->route('home');
            } elseif ($userType == 'Técnico' && $currentRoute != 'enterWorkstation') {
                return redirect()->route('enterWorkstation');
            }
        }

        return $next($request);
    }
}
